Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class GeneralNames

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.x509.GeneralNames

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class GeneralNames
extends ASN1Object

Constructor Summary
`GeneralNames(GeneralName name)` Construct a GeneralNames object containing one GeneralName.
`GeneralNames(GeneralName[] names)`

Method Summary
`static GeneralNames` | `fromExtensions(Extensions extensions, ASN1ObjectIdentifier extOID)`
`static GeneralNames` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static GeneralNames` | `getInstance(java.lang.Object obj)`
`GeneralName[]` | `getNames()`
`ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.
`java.lang.String` | `toString()`

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GeneralNames

    public GeneralNames(GeneralName name)

  Construct a GeneralNames object containing one GeneralName.

Parameters:
  `name` - the name to be contained.

### GeneralNames

    public GeneralNames(GeneralName[] names)

Method Detail

### getInstance

    public static GeneralNames getInstance(java.lang.Object obj)

### getInstance

    public static GeneralNames getInstance(ASN1TaggedObject obj,
                                           boolean explicit)

### fromExtensions

    public static GeneralNames fromExtensions(Extensions extensions,
                                              ASN1ObjectIdentifier extOID)

### getNames

    public GeneralName[] getNames()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Produce an object suitable for an ASN1OutputStream. GeneralNames ::= SEQUENCE SIZE {1..MAX} OF GeneralName

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD